%global drupalver 6
# e.g. "drupal6"
%global drupal drupal%{drupalver}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname quicktabs

Name:    drupal6-%{modname}
Version: 6.x
Release: 3.1%{?dist}
Summary: Provides a form for admins to create a block of tabbed content
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/quicktabs-6.x-3.1.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0

%description
This module provides a form for admins to create a block of tabbed content
by selecting first the desired number of tabs and then selecting either
an existing view or an existing block as the content of each tab.
Arguments can be passed if a view is selected.

%prep
%setup -qn %{modname}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
cp -pr * %{buildroot}%{drupaldir}/modules/%{modname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Tue Mar 06 2012 vvm@mammoth.jinr.ru
- Initial package

